Page MenuHomeFreeBSD

Add and document DOLLAR variable to allow $ symbols while automounting Samba shares
ClosedPublic

Authored by crees on Jul 1 2016, 8:42 PM.

Details

Summary

I've written a script for automounting Samba shares, but automountd chokes on the $ in some Samba shares. I can't find any workaround other than -DDOLLAR=\$ in automountd_flags (great idea to have that option!), but I think it would be handy to have anyway.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

crees updated this revision to Diff 18059.Jul 1 2016, 8:42 PM
crees retitled this revision from to Add and document DOLLAR variable to allow $ symbols while automounting Samba shares.
crees updated this object.
crees edited the test plan for this revision. (Show Details)
crees added a reviewer: trasz.
trasz edited edge metadata.Jul 23 2016, 7:31 AM

I'd prefer to just fix the code that's breaking it. It looks like it's a result of overzealous escaping somewhere...

crees added a comment.Jul 23 2016, 7:45 AM
In D7048#151670, @trasz wrote:

I'd prefer to just fix the code that's breaking it. It looks like it's a result of overzealous escaping somewhere...

It results from Samba hidden shares having a $ in, and from my casual reading of the code \$ is not escaped?

I agree that putting $ into a share name is annoying, but unfortunately it's been done for years!

The other solution would be to allow \$ as an escape.

crees added a comment.Dec 23 2018, 9:41 AM

Would you still prefer a different fix? I'm not quite sure how to work around this!

trasz accepted this revision.Dec 27 2018, 1:19 PM

Hi. Sorry it took so long; I think the fix is ok. Thanks!

This revision is now accepted and ready to land.Dec 27 2018, 1:19 PM
bcr accepted this revision.Dec 27 2018, 2:38 PM
bcr added a subscriber: bcr.

Don't forget to bump the .Dd at the beginning of the man page to today's date as this is a content change. Thanks!

This revision was automatically updated to reflect the committed changes.